/* wptClipImportDlg.cpp - WinPT key import dialog
 *	Copyright (C) 2001-2006 Timo Schulz
 *	Copyright (C) 2005 g10 Code GmbH
 *
 * This file is part of WinPT.
 *
 * WinPT is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * WinPT is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with WinPT; if not, write to the Free Software Foundation, 
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <windows.h>

#include "resource.h"
#include "wptCrypto.h"
#include "wptGPG.h"
#include "wptCommonCtl.h"
#include "wptKeylist.h"
#include "wptNLS.h"
#include "wptErrors.h"
#include "wptTypes.h"
#include "wptContext.h" /* for passphrase_s */
#include "wptDlgs.h"
#include "wptW32API.h"
#include "wptVersion.h"
#include "wptImport.h"
#include "wptKeyManager.h"


/* Load the import statistics dialog with the results from @res. */   
int
print_import_status (gpgme_import_result_t res)
{
    gpgme_import_status_t st;
    const char *keyid;
    int new_keys = res->considered - res->unchanged;

    dialog_box_param (glob_hinst, (LPCSTR)IDD_WINPT_IMPORT_STAT, glob_hwnd,
		      import_status_dlg_proc, (LPARAM)res,
		      _("Key Import Statistics"), IDS_WINPT_IMPORT_STAT);
    if (new_keys > 0 && new_keys < KM_PRELOAD_KEYS) {
	for (st=res->imports; st; st=st->next) {
	    if (st->status == 0) /* nothing changed */
		continue;
	    keyid = get_keyid_from_fpr (st->fpr);
	    keycache_update (0, keyid);
	}
    }
    return !(res->unchanged == res->considered);
}
